/*This is the data step to import one of the ENB files
from the QCEW FTP site. Remember to replace the infile path with the 
folder path and file name of the file you downloaded.*/

data qcewData.qcewSingleFile;
          /**********************************************************************************
          *Purpose: read in CEW Format ENB records
          *Version Number: 1.0
          *Date of Last Update: 01/06/03
          ***********************************************************************************/
    infile "c:\SAS\data\cn13ga10.enb" lrecl=449;
       input

          /****Identifier Fields****/
          @1    survpref   $3.  /*Survey Prefix*/
          @4    area       $5.  /*Area Code*/
          @9    datatype    1.  /*Datatype Code*/
          @10   size        1.  /*Size Code*/
          @11   own         1.  /*Ownership*/
          @12   naics      $6.  /*NAICS Industry Code*/
          @18   year        4.  /*Year*/
          @22   agglvl      2.  /*Aggregation Level*/

          /****First Quarter Fields****/
          @24   statq1     $1.  /*Status-Disclosure Code*/
          @25   estabq1     8.  /*Number of Establishments*/
          @33   m1          9.  /*January Employment*/
          @42   m2          9.  /*February Employment*/
          @51   m3          9.  /*March Employment*/
          @60   wageq1     15.  /*Total Quarterly Wages*/
          @75   txwageq1   15.  /*Taxable Quarterly Wages*/
          @90   cntrbq1    13.  /*Quarterly Contributions*/
          @103  awwq1       8.  /*Average Weekly Wage*/

          /****Second Quarter Fields****/
          @111  statq2     $1.  /*Status-Disclosure Code*/
          @112  estabq2     8.  /*Quarterly Number of Establishments*/
          @120  m4          9.  /*April Employment*/
          @129  m5          9.  /*May Employment*/
          @138  m6          9.  /*June Employment*/
          @147  wageq2     15.  /*Total Quarterly Wages*/
          @162  txwageq2   15.  /*Taxable Quarterly Wages*/
          @177  cntrbq2    13.  /*Quarterly Contributions*/
          @190  awwq2       8.  /*Average Weekly Wage*/

          /****Third Quarter Fields****/
          @198  statq3     $1.  /*Status-Disclosure Code*/
          @199  estabq3     8.  /*Quarterly Number of Establishments*/
          @207  m7          9.  /*July Employment*/
          @216  m8          9.  /*August Employment*/
          @225  m9          9.  /*September Employment*/
          @234  wageq3     15.  /*Total Quarterly Wages*/
          @249  txwageq3   15.  /*Taxable Quarterly Wages*/
          @264  cntrbq3    13.  /*Quarterly Contributions*/
          @277  awwq3       8.  /*Average Weekly Wage*/

          /****Fourth Quarter Fields****/
          @285  statq4     $1.  /*Status-Disclosure Code*/
          @286  estabq4     8.  /*Quarterly Number of Establishments*/
          @294  m10         9.  /*October Employment*/
          @303  m11         9.  /*November Employment*/
          @312  m12         9.  /*December Employment*/
          @321  wageq4     15.  /*Total Quarterly Wages*/
          @336  txwageq4   15.  /*Taxable Quarterly Wages*/
          @351  cntrbq4    13.  /*Quarterly Contributions*/
          @364  awwq4       8.  /*Average Weekly Wage*/

          /****Annual Fields****/
          @372  annstat    $1.  /*Status-Disclosure Code*/
          @373  annestab    8.  /*Annual Average Number of Establishments*/
          @381  annemp      9.  /*Annual Average Employment*/
          @390  annwage    15.  /*Total Annual Wages*/
          @405  antxwage   15.  /*Taxable Annual Wages*/
          @420  anncntrb   13.  /*Annual Contributions*/
          @433  annaww      8.  /*Average Weekly Wage*/
          @441  aap         9.  /*Average Annual Pay*/;
run;
