/*This is the data step to import one of the END files
from the QCEW FTP site. Remember to replace the infile path with the 
folder path and file name of the file you downloaded.*/

data qcewData.qcewSingleFile;
          /**********************************************************************************
          *Purpose: read in CEW Format single quarter END records
          *Version Number: 1.0
          *Date of Last Update: 04/15/04
          ***********************************************************************************/
    infile "c:\SAS\data\cn13ga113.end" lrecl=111;
       input

          /****Identifier Fields****/
          @1    survpref   $3.  /*Survey Prefix*/
          @4    area       $5.  /*Area Code*/
          @9    datatype    1.  /*Datatype Code*/
          @10   size        1.  /*Size Code*/
          @11   own         1.  /*Ownership*/
          @12   naics      $6.  /*NAICS Industry Code*/
          @18   year        4.  /*Year*/
          @22   quarter     1.  /*Quarter*/
          @23   agglvl      2.  /*Aggregation Level*/

          /****Data Fields****/
          @25   status     $1.  /*Status-Disclosure Code*/
          @26   estab       8.  /*Number of Establishments*/
          @34   m1emp       9.  /*Month 1 Employment*/
          @43   m2emp       9.  /*Month 2 Employment*/
          @52   m3emp       9.  /*Month 3 Employment*/
          @61   wage       15.  /*Total Quarterly Wages*/
          @76   txwage     15.  /*Taxable Quarterly Wages*/
          @91   cntrb      13.  /*Quarterly Contributions*/
          @104  aww         8.  /*Average Weekly Wage*/;
run;
